All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class BusinessQueryToFilterItemListAdapter

    com.sas.dataselectors.filters.BusinessQueryToFilterItemListAdapter

All Implemented Interfaces:
  FilterItemListInterface, FilterItemLookupInterface

    public class BusinessQueryToFilterItemListAdapter

This adapter constructs a filter item list from a BusinessQuery object. The list of filter items is then used throughout the filter model as the primary factor in a filter.

Field Summary

Fields inherited from class com.sas.dataselectors.filters.AbstractFilterItemListBase
`_filterItemLookup`

Constructor Summary
`BusinessQueryToFilterItemListAdapter(FilterObjectFactoryInterface filterObjectFactory, com.sas.iquery.metadata.business.BusinessQuery businessQuery)` Constructs a new adapter using the given factory and model.
`BusinessQueryToFilterItemListAdapter(FilterObjectFactoryInterface filterObjectFactory, com.sas.iquery.metadata.business.BusinessQuery businessQuery, com.sas.iquery.dataservices.IQDataServices dataService)` Constructs a new adapter with the given factory, native model, and service provider.

Method Summary
`com.sas.iquery.metadata.business.BusinessQuery` | `getBusinessQuery()` Returns the native model in use by this adapter.
`com.sas.iquery.dataservices.IQDataServices` | `getDataService()` Return the IQ data service provider in use by this adapter.
`protected com.sas.iquery.dataservices.IQDataServices` | `initDataService(com.sas.iquery.metadata.business.BusinessQuery businessQuery)` Constructs and returns a new IQ Data Services object from the given model.
`void` | `refresh()` Refresh the list of filters items from the native model.
`void` | `setBusinessQuery(com.sas.iquery.metadata.business.BusinessQuery businessQuery)` Sets the native model used by this adapter.
`void` | `setDataService(com.sas.iquery.dataservices.IQDataServices dataService)` Sets the IQ data service provider this adapter will use.

Methods inherited from class com.sas.dataselectors.filters.AbstractFilterItemListBase
`getFilterItemList, getFilterItemListLabel, getFilterItemLookupMap, lookupFilterItem, setFilterItemList, setFilterItemListLabel, setFilterItemLookupMap`

Constructor Detail

### BusinessQueryToFilterItemListAdapter

    public BusinessQueryToFilterItemListAdapter(FilterObjectFactoryInterface filterObjectFactory,
                                                com.sas.iquery.metadata.business.BusinessQuery businessQuery)

  Constructs a new adapter using the given factory and model.

  Parameters:
    `filterObjectFactory` - the object factory to convert between the native model and filter model
    `businessQuery` - the model to draw data from

### BusinessQueryToFilterItemListAdapter

    public BusinessQueryToFilterItemListAdapter(FilterObjectFactoryInterface filterObjectFactory,
                                                com.sas.iquery.metadata.business.BusinessQuery businessQuery,
                                                com.sas.iquery.dataservices.IQDataServices dataService)

  Constructs a new adapter with the given factory, native model, and service provider.

  Parameters:
    `filterObjectFactory` - the object factory to convert between the native model and filter model
    `businessQuery` - the model to draw data from
    `dataService` - the IQ service provider used to gather additional data needed by the filter model

Method Detail

### initDataService

    protected com.sas.iquery.dataservices.IQDataServices initDataService(com.sas.iquery.metadata.business.BusinessQuery businessQuery)

  Constructs and returns a new IQ Data Services object from the given model.

  Parameters:
    `businessQuery` - the native model
  Returns:
    an IQ Data Services object

### getBusinessQuery

    public com.sas.iquery.metadata.business.BusinessQuery getBusinessQuery()

  Returns the native model in use by this adapter.

  Returns:
    the native model used by this adapter

### setBusinessQuery

    public void setBusinessQuery(com.sas.iquery.metadata.business.BusinessQuery businessQuery)

  Sets the native model used by this adapter.

  Parameters:
    `businessQuery` - the native model this adapter should use

### getDataService

    public com.sas.iquery.dataservices.IQDataServices getDataService()

  Return the IQ data service provider in use by this adapter.

  Returns:
    the IQ data service provider

### setDataService

    public void setDataService(com.sas.iquery.dataservices.IQDataServices dataService)

  Sets the IQ data service provider this adapter will use.

  Parameters:
    `dataService` - the IQ data service provider

### refresh

    public void refresh()

  Refresh the list of filters items from the native model.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.